Subject: 29.0.50; Error trying to delete `P': (error "Package `P' is used by `Q' as dependency, not deleting")

From: Michael Heerdegen <[email-masked]>
Date: Mon, 28 Nov 2022 11:16:53 +0100

Hello,

since around approx. 10 or 20 days, whenever I do U in M-x
package-list-packages (and I did not change anything in my setup) I
often get errors like

| Error trying to delete `magit-section-20220929.1014': (error "Package `magit-section-20220929.1014' is used by `magit' as dependency, not deleting")
| Error trying to delete `with-editor-20220810.1159': (error "Package `with-editor-20220810.1159' is used by `git-commit' as dependency, not deleting")

Real errors.  I only do U and x.

These errors seem to leave the packages in an inconsistent state.  This
time it had been very bad: the emacs instance where I worked was not
usable any more, any input was ignored or caused strange errors, no
window seemed to be selected any more (only hollow cursors).

Other instances did not start any more because my init file depended on
something obviously not installed any more.  M-x
package-list-packages started but I did not know what was missing so I
had to restore ~/.emacs.d/elpa/ from a backup.

BTW, while checking for existing bugs about this problem I got

| soap-invoke-internal: SOAP error: "soap:Server", "can't get http://localhost:1978/node/bts/search: 500 Can't connect to localhost:1978 at /usr/share/perl5/Debbugs/SOAP.pm line 444.

when trying to use debbugs-gnu-search.

TIA,

Michael.